## freebsd-libs 9.2+ds2

=== lib/libdwarf/Makefile ===
# $FreeBSD$

LIB=	dwarf

SRCS=	\
	dwarf_abbrev.c		\
	dwarf_attr.c		\
	dwarf_attrval.c		\
	dwarf_cu.c		\
	dwarf_dealloc.c		\
	dwarf_die.c		\
	dwarf_dump.c		\
	dwarf_errmsg.c		\
	dwarf_errno.c		\
	dwarf_finish.c		\
	dwarf_form.c		\
	dwarf_func.c		\
	dwarf_init.c		\
	dwarf_loc.c

INCS=	dwarf.h libdwarf.h

CFLAGS+=	-I${.CURDIR}

SHLIB_MAJOR=	3

WITHOUT_MAN=

.include <bsd.lib.mk>

=== lib/libelf/Makefile ===
# $FreeBSD$

LIB=	elf

SRCS=	elf_begin.c						\
	elf_cntl.c						\
	elf_end.c elf_errmsg.c elf_errno.c			\
	elf_data.c						\
	elf_fill.c						\
	elf_flag.c						\
	elf_getarhdr.c						\
	elf_getarsym.c						\
	elf_getbase.c						\
	elf_getident.c						\
	elf_hash.c						\
	elf_kind.c						\
	elf_memory.c						\
	elf_next.c						\
	elf_rand.c						\
	elf_rawfile.c						\
	elf_phnum.c						\
	elf_shnum.c						\
	elf_shstrndx.c						\
	elf_scn.c						\
	elf_strptr.c						\
	elf_update.c						\
	elf_version.c						\
	gelf_cap.c						\
	gelf_checksum.c						\
	gelf_dyn.c						\
	gelf_ehdr.c						\
	gelf_getclass.c						\
	gelf_fsize.c						\
	gelf_move.c						\
	gelf_phdr.c						\
	gelf_rel.c						\
	gelf_rela.c						\
	gelf_shdr.c						\
	gelf_sym.c						\
	gelf_syminfo.c						\
	gelf_symshndx.c						\
	gelf_xlate.c						\
	libelf.c						\
	libelf_align.c						\
	libelf_allocate.c					\
	libelf_ar.c						\
	libelf_ar_util.c					\
	libelf_checksum.c					\
	libelf_data.c						\
	libelf_ehdr.c						\
	libelf_extended.c					\
	libelf_phdr.c						\
	libelf_shdr.c						\
	libelf_xlate.c						\
	${GENSRCS}
INCS=	libelf.h gelf.h

GENSRCS=	libelf_fsize.c libelf_msize.c libelf_convert.c
CLEANFILES=	${GENSRCS}
CFLAGS+=	-I${.CURDIR} -I${.CURDIR}/../../sys

SHLIB_MAJOR=	1

MAN=	elf.3							\
	elf_begin.3						\
	elf_cntl.3						\
	elf_end.3						\
	elf_errmsg.3						\
	elf_fill.3						\
	elf_flagdata.3						\
	elf_getarhdr.3						\
	elf_getarsym.3						\
	elf_getbase.3						\
	elf_getdata.3						\
	elf_getident.3						\
	elf_getscn.3						\
	elf_getphdrnum.3					\
	elf_getphnum.3						\
	elf_getshdrnum.3					\
	elf_getshnum.3						\
	elf_getshdrstrndx.3					\
	elf_getshstrndx.3					\
	elf_hash.3						\
	elf_kind.3						\
	elf_memory.3						\
	elf_next.3						\
	elf_rawfile.3						\
	elf_rand.3						\
	elf_strptr.3						\
	elf_update.3						\
	elf_version.3						\
	gelf.3							\
	gelf_checksum.3						\
	gelf_fsize.3						\
	gelf_getcap.3						\
	gelf_getclass.3						\
	gelf_getdyn.3						\
	gelf_getehdr.3						\
	gelf_getmove.3						\
	gelf_getphdr.3						\
	gelf_getrel.3						\
	gelf_getrela.3						\
	gelf_getshdr.3						\
	gelf_getsym.3						\
	gelf_getsyminfo.3					\
	gelf_getsymshndx.3					\
	gelf_newehdr.3						\
	gelf_newphdr.3						\
	gelf_update_ehdr.3					\
	gelf_xlatetof.3

MLINKS+= \
	elf_errmsg.3 elf_errno.3		\
	elf_flagdata.3 elf_flagehdr.3		\
	elf_flagdata.3 elf_flagelf.3		\
	elf_flagdata.3 elf_flagphdr.3		\
	elf_flagdata.3 elf_flagscn.3		\
	elf_flagdata.3 elf_flagshdr.3		\
	elf_getdata.3 elf_newdata.3		\
	elf_getdata.3 elf_rawdata.3		\
	elf_getscn.3 elf_ndxscn.3		\
	elf_getscn.3 elf_newscn.3		\
	elf_getscn.3 elf_nextscn.3		\
	elf_getshstrndx.3 elf_setshstrndx.3	\
	gelf_getcap.3 gelf_update_cap.3		\
	gelf_getdyn.3 gelf_update_dyn.3		\
	gelf_getmove.3 gelf_update_move.3	\
	gelf_getrel.3 gelf_update_rel.3		\
	gelf_getrela.3 gelf_update_rela.3	\
	gelf_getsym.3 gelf_update_sym.3		\
	gelf_getsyminfo.3 gelf_update_syminfo.3	\
	gelf_getsymshndx.3 gelf_update_symshndx.3 \
	gelf_update_ehdr.3 gelf_update_phdr.3	\
	gelf_update_ehdr.3 gelf_update_shdr.3	\
	gelf_xlatetof.3 gelf_xlatetom.3

.for E in 32 64
MLINKS+= \
	gelf_checksum.3	elf${E}_checksum.3 	\
	gelf_fsize.3	elf${E}_fsize.3 	\
	gelf_getehdr.3	elf${E}_getehdr.3	\
	gelf_getphdr.3	elf${E}_getphdr.3	\
	gelf_getshdr.3	elf${E}_getshdr.3	\
	gelf_newehdr.3	elf${E}_newehdr.3	\
	gelf_newphdr.3	elf${E}_newphdr.3	\
	gelf_xlatetof.3	elf${E}_xlatetof.3	\
	gelf_xlatetof.3	elf${E}_xlatetom.3
.endfor

VERSION_MAP=		${.CURDIR}/Version.map

LIBELF_TEST_HOOKS?=	1
.if defined(LIBELF_TEST_HOOKS) && (${LIBELF_TEST_HOOKS} > 0)
CFLAGS+= -DLIBELF_TEST_HOOKS
.endif

libelf_convert.c:	elf_types.m4 libelf_convert.m4
libelf_fsize.c:		elf_types.m4 libelf_fsize.m4
libelf_msize.c:		elf_types.m4 libelf_msize.m4

.include <bsd.lib.mk>

# Keep the .SUFFIXES line after the include of bsd.lib.mk
.SUFFIXES:	.m4 .c
.m4.c:
	m4 -D SRCDIR=${.CURDIR} ${.IMPSRC} > ${.TARGET}

=== lib/libgeom/Makefile ===
# $FreeBSD$

LIB=	geom
SHLIBDIR?= /lib
SRCS+=	geom_getxml.c
SRCS+=	geom_stats.c
SRCS+=	geom_xml2tree.c
SRCS+=	geom_ctl.c
SRCS+=	geom_util.c
INCS=	libgeom.h

CFLAGS += -I${.CURDIR}

WARNS?=	3

DPADD=	${LIBBSDXML} ${LIBSBUF}
LDADD=	-lbsdxml -lsbuf

MAN=	libgeom.3

MLINKS+= \
	libgeom.3 geom_stats_open.3 \
	libgeom.3 geom_stats_close.3 \
	libgeom.3 geom_stats_resync.3 \
	libgeom.3 geom_stats_snapshot_get.3 \
	libgeom.3 geom_stats_snapshot_free.3 \
	libgeom.3 geom_stats_snapshot_timestamp.3 \
	libgeom.3 geom_stats_snapshot_reset.3 \
	libgeom.3 geom_stats_snapshot_next.3 \
	libgeom.3 gctl_get_handle.3 \
	libgeom.3 gctl_ro_param.3 \
	libgeom.3 gctl_rw_param.3 \
	libgeom.3 gctl_issue.3 \
	libgeom.3 gctl_free.3 \
	libgeom.3 gctl_dump.3 \
	libgeom.3 g_close.3 \
	libgeom.3 g_delete.3 \
	libgeom.3 g_device_path.3 \
	libgeom.3 g_flush.3 \
	libgeom.3 g_get_ident.3 \
	libgeom.3 g_get_name.3 \
	libgeom.3 g_mediasize.3 \
	libgeom.3 g_open.3 \
	libgeom.3 g_open_by_ident.3 \
	libgeom.3 g_providername.3 \
	libgeom.3 g_sectorsize.3

.include <bsd.lib.mk>

=== lib/libjail/Makefile ===
# $FreeBSD$

LIB=	jail
SHLIBDIR?= /lib
SHLIB_MAJOR= 1
SRCS=	jail.c jail_getid.c
INCS=	jail.h

MAN=	jail.3

MLINKS+=jail.3 jail_getid.3
MLINKS+=jail.3 jail_getname.3
MLINKS+=jail.3 jail_getv.3
MLINKS+=jail.3 jail_setv.3
MLINKS+=jail.3 jailparam.3
MLINKS+=jail.3 jailparam_all.3
MLINKS+=jail.3 jailparam_init.3
MLINKS+=jail.3 jailparam_import.3
MLINKS+=jail.3 jailparam_import_raw.3
MLINKS+=jail.3 jailparam_get.3
MLINKS+=jail.3 jailparam_set.3
MLINKS+=jail.3 jailparam_export.3
MLINKS+=jail.3 jailparam_free.3

CFLAGS+=-I${.CURDIR}

.include <bsd.lib.mk>

=== lib/libkvm/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/4/93
# $FreeBSD$

LIB=	kvm
SHLIBDIR?= /lib
CFLAGS+=-DLIBC_SCCS -I${.CURDIR}

.if exists(${.CURDIR}/kvm_${MACHINE_ARCH}.c)
KVM_ARCH=${MACHINE_ARCH}
.else
KVM_ARCH=${MACHINE_CPUARCH}
.endif

WARNS?=	3

SRCS=	kvm.c kvm_${KVM_ARCH}.c kvm_cptime.c kvm_file.c kvm_getloadavg.c \
	kvm_getswapinfo.c kvm_pcpu.c kvm_proc.c kvm_vnet.c
.if ${MACHINE_CPUARCH} == "amd64" || ${MACHINE_CPUARCH} == "i386" || \
    ${MACHINE_CPUARCH} == "arm" || ${MACHINE_CPUARCH} == "mips"
SRCS+=	kvm_minidump_${KVM_ARCH}.c
.endif
INCS=	kvm.h

MAN=	kvm.3 kvm_getcptime.3 kvm_geterr.3 kvm_getfiles.3 kvm_getloadavg.3 \
	kvm_getpcpu.3 kvm_getprocs.3 kvm_getswapinfo.3 kvm_nlist.3 kvm_open.3 \
	kvm_read.3

MLINKS+=kvm_getpcpu.3 kvm_getmaxcpu.3
MLINKS+=kvm_getpcpu.3 kvm_dpcpu_setcpu.3
MLINKS+=kvm_getprocs.3 kvm_getargv.3 kvm_getprocs.3 kvm_getenvv.3
MLINKS+=kvm_open.3 kvm_close.3 kvm_open.3 kvm_openfiles.3
MLINKS+=kvm_read.3 kvm_write.3

.include <bsd.lib.mk>

=== lib/libusb/Makefile ===
#
# $FreeBSD$
#
# Makefile for the FreeBSD specific LibUSB 2.0
#

LIB=		usb
SHLIB_MAJOR=	2
SHLIB_MINOR=	0
SRCS=		libusb20.c
SRCS+=		libusb20_desc.c
SRCS+=		libusb20_ugen20.c
INCS+=		libusb20.h
INCS+=		libusb20_desc.h
MAN=		libusb.3 libusb20.3
MKLINT=		no
NOGCCERROR=

WARNS?=		2

DPADD=		${LIBPTHREAD}
LDADD=		-lpthread

MLINKS+=	libusb.3 usb.3

# libusb 0.1 compat
INCS+=		usb.h
SRCS+=		libusb01.c

# libusb 1.0 compat
INCS+=		libusb.h
SRCS+=		libusb10.c
SRCS+=		libusb10_desc.c
SRCS+=		libusb10_io.c

.if defined(COMPAT_32BIT)
CFLAGS+=	-DCOMPAT_32BIT
.endif

.include <bsd.lib.mk>

# LibUSB v1.0
MLINKS += libusb.3 libusb_init.3
MLINKS += libusb.3 libusb_exit.3
MLINKS += libusb.3 libusb_strerror.3
MLINKS += libusb.3 libusb_error_name.3
MLINKS += libusb.3 libusb_set_debug.3
MLINKS += libusb.3 libusb_get_device_list.3
MLINKS += libusb.3 libusb_free_device_list.3
MLINKS += libusb.3 libusb_get_bus_number.3
MLINKS += libusb.3 libusb_get_device_address.3
MLINKS += libusb.3 libusb_get_device_speed.3
MLINKS += libusb.3 libusb_get_max_packet_size.3
MLINKS += libusb.3 libusb_get_max_iso_packet_size.3
MLINKS += libusb.3 libusb_ref_device.3
MLINKS += libusb.3 libusb_unref_device.3
MLINKS += libusb.3 libusb_open.3
MLINKS += libusb.3 libusb_open_device_with_vid_pid.3
MLINKS += libusb.3 libusb_close.3
MLINKS += libusb.3 libusb_get_device.3
MLINKS += libusb.3 libusb_get_configuration.3
MLINKS += libusb.3 libusb_set_configuration.3
MLINKS += libusb.3 libusb_claim_interface.3
MLINKS += libusb.3 libusb_release_interface.3
MLINKS += libusb.3 libusb_set_interface_alt_setting.3
MLINKS += libusb.3 libusb_clear_halt.3
MLINKS += libusb.3 libusb_reset_device.3
MLINKS += libusb.3 libusb_check_connected.3
MLINKS += libusb.3 libusb_kernel_driver_active.3
MLINKS += libusb.3 libusb_get_driver.3
MLINKS += libusb.3 libusb_get_driver_np.3
MLINKS += libusb.3 libusb_detach_kernel_driver.3
MLINKS += libusb.3 libusb_detach_kernel_driver_np.3
MLINKS += libusb.3 libusb_attach_kernel_driver.3
MLINKS += libusb.3 libusb_get_device_descriptor.3
MLINKS += libusb.3 libusb_get_active_config_descriptor.3
MLINKS += libusb.3 libusb_get_config_descriptor.3
MLINKS += libusb.3 libusb_get_config_descriptor_by_value.3
MLINKS += libusb.3 libusb_free_config_descriptor.3
MLINKS += libusb.3 libusb_get_string_descriptor_ascii.3
MLINKS += libusb.3 libusb_parse_ss_endpoint_comp.3
MLINKS += libusb.3 libusb_free_ss_endpoint_comp.3
MLINKS += libusb.3 libusb_parse_bos_descriptor.3
MLINKS += libusb.3 libusb_free_bos_descriptor.3
MLINKS += libusb.3 libusb_alloc_transfer.3
MLINKS += libusb.3 libusb_free_transfer.3
MLINKS += libusb.3 libusb_submit_transfer.3
MLINKS += libusb.3 libusb_cancel_transfer.3
MLINKS += libusb.3 libusb_control_transfer.3
MLINKS += libusb.3 libusb_bulk_transfer.3
MLINKS += libusb.3 libusb_interrupt_transfer.3
MLINKS += libusb.3 libusb_try_lock_events.3
MLINKS += libusb.3 libusb_lock_events.3
MLINKS += libusb.3 libusb_unlock_events.3
MLINKS += libusb.3 libusb_event_handling_ok.3
MLINKS += libusb.3 libusb_event_handler_active.3
MLINKS += libusb.3 libusb_lock_event_waiters.3
MLINKS += libusb.3 libusb_unlock_event_waiters.3
MLINKS += libusb.3 libusb_wait_for_event.3
MLINKS += libusb.3 libusb_handle_events_timeout.3
MLINKS += libusb.3 libusb_handle_events.3
MLINKS += libusb.3 libusb_handle_events_locked.3
MLINKS += libusb.3 libusb_get_next_timeout.3
MLINKS += libusb.3 libusb_set_pollfd_notifiers.3
MLINKS += libusb.3 libusb_get_pollfds.3

# LibUSB v0.1
MLINKS += libusb.3 usb_open.3
MLINKS += libusb.3 usb_close.3
MLINKS += libusb.3 usb_get_string.3
MLINKS += libusb.3 usb_get_string_simple.3
MLINKS += libusb.3 usb_get_descriptor_by_endpoint.3
MLINKS += libusb.3 usb_get_descriptor.3
MLINKS += libusb.3 usb_parse_descriptor.3
MLINKS += libusb.3 usb_parse_configuration.3
MLINKS += libusb.3 usb_destroy_configuration.3
MLINKS += libusb.3 usb_fetch_and_parse_descriptors.3
MLINKS += libusb.3 usb_bulk_write.3
MLINKS += libusb.3 usb_bulk_read.3
MLINKS += libusb.3 usb_interrupt_write.3
MLINKS += libusb.3 usb_interrupt_read.3
MLINKS += libusb.3 usb_control_msg.3
MLINKS += libusb.3 usb_set_configuration.3
MLINKS += libusb.3 usb_claim_interface.3
MLINKS += libusb.3 usb_release_interface.3
MLINKS += libusb.3 usb_set_altinterface.3
MLINKS += libusb.3 usb_resetep.3
MLINKS += libusb.3 usb_clear_halt.3
MLINKS += libusb.3 usb_reset.3
MLINKS += libusb.3 usb_strerror.3
MLINKS += libusb.3 usb_init.3
MLINKS += libusb.3 usb_set_debug.3
MLINKS += libusb.3 usb_find_busses.3
MLINKS += libusb.3 usb_find_devices.3
MLINKS += libusb.3 usb_device.3
MLINKS += libusb.3 usb_get_busses.3
MLINKS += libusb.3 usb_check_connected.3

# LibUSB v2.0
MLINKS += libusb20.3 libusb20_tr_close.3
MLINKS += libusb20.3 libusb20_tr_open.3
MLINKS += libusb20.3 libusb20_tr_get_pointer.3
MLINKS += libusb20.3 libusb20_tr_get_time_complete.3
MLINKS += libusb20.3 libusb20_tr_get_actual_frames.3
MLINKS += libusb20.3 libusb20_tr_get_actual_length.3
MLINKS += libusb20.3 libusb20_tr_get_max_frames.3
MLINKS += libusb20.3 libusb20_tr_get_max_packet_length.3
MLINKS += libusb20.3 libusb20_tr_get_max_total_length.3
MLINKS += libusb20.3 libusb20_tr_get_status.3
MLINKS += libusb20.3 libusb20_tr_pending.3
MLINKS += libusb20.3 libusb20_tr_callback_wrapper.3
MLINKS += libusb20.3 libusb20_tr_clear_stall_sync.3
MLINKS += libusb20.3 libusb20_tr_drain.3
MLINKS += libusb20.3 libusb20_tr_set_buffer.3
MLINKS += libusb20.3 libusb20_tr_set_callback.3
MLINKS += libusb20.3 libusb20_tr_set_flags.3
MLINKS += libusb20.3 libusb20_tr_get_length.3
MLINKS += libusb20.3 libusb20_tr_set_length.3
MLINKS += libusb20.3 libusb20_tr_set_priv_sc0.3
MLINKS += libusb20.3 libusb20_tr_set_priv_sc1.3
MLINKS += libusb20.3 libusb20_tr_set_timeout.3
MLINKS += libusb20.3 libusb20_tr_set_total_frames.3
MLINKS += libusb20.3 libusb20_tr_setup_bulk.3
MLINKS += libusb20.3 libusb20_tr_setup_control.3
MLINKS += libusb20.3 libusb20_tr_setup_intr.3
MLINKS += libusb20.3 libusb20_tr_setup_isoc.3
MLINKS += libusb20.3 libusb20_tr_bulk_intr_sync.3
MLINKS += libusb20.3 libusb20_tr_start.3
MLINKS += libusb20.3 libusb20_tr_stop.3
MLINKS += libusb20.3 libusb20_tr_submit.3
MLINKS += libusb20.3 libusb20_tr_get_priv_sc0.3
MLINKS += libusb20.3 libusb20_tr_get_priv_sc1.3
MLINKS += libusb20.3 libusb20_dev_get_backend_name.3
MLINKS += libusb20.3 libusb20_dev_get_info.3
MLINKS += libusb20.3 libusb20_dev_get_iface_desc.3
MLINKS += libusb20.3 libusb20_dev_get_desc.3
MLINKS += libusb20.3 libusb20_dev_close.3
MLINKS += libusb20.3 libusb20_dev_detach_kernel_driver.3
MLINKS += libusb20.3 libusb20_dev_set_config_index.3
MLINKS += libusb20.3 libusb20_dev_get_debug.3
MLINKS += libusb20.3 libusb20_dev_get_fd.3
MLINKS += libusb20.3 libusb20_dev_kernel_driver_active.3
MLINKS += libusb20.3 libusb20_dev_open.3
MLINKS += libusb20.3 libusb20_dev_process.3
MLINKS += libusb20.3 libusb20_dev_request_sync.3
MLINKS += libusb20.3 libusb20_dev_req_string_sync.3
MLINKS += libusb20.3 libusb20_dev_req_string_simple_sync.3
MLINKS += libusb20.3 libusb20_dev_reset.3
MLINKS += libusb20.3 libusb20_dev_check_connected.3
MLINKS += libusb20.3 libusb20_dev_set_power_mode.3
MLINKS += libusb20.3 libusb20_dev_get_power_mode.3
MLINKS += libusb20.3 libusb20_dev_get_power_usage.3
MLINKS += libusb20.3 libusb20_dev_set_alt_index.3
MLINKS += libusb20.3 libusb20_dev_get_device_desc.3
MLINKS += libusb20.3 libusb20_dev_alloc_config.3
MLINKS += libusb20.3 libusb20_dev_alloc.3
MLINKS += libusb20.3 libusb20_dev_get_address.3
MLINKS += libusb20.3 libusb20_dev_get_parent_address.3
MLINKS += libusb20.3 libusb20_dev_get_parent_port.3
MLINKS += libusb20.3 libusb20_dev_get_bus_number.3
MLINKS += libusb20.3 libusb20_dev_get_mode.3
MLINKS += libusb20.3 libusb20_dev_get_speed.3
MLINKS += libusb20.3 libusb20_dev_get_config_index.3
MLINKS += libusb20.3 libusb20_dev_free.3
MLINKS += libusb20.3 libusb20_dev_set_debug.3
MLINKS += libusb20.3 libusb20_dev_wait_process.3
MLINKS += libusb20.3 libusb20_be_get_template.3
MLINKS += libusb20.3 libusb20_be_set_template.3
MLINKS += libusb20.3 libusb20_be_get_dev_quirk.3
MLINKS += libusb20.3 libusb20_be_get_quirk_name.3
MLINKS += libusb20.3 libusb20_be_add_dev_quirk.3
MLINKS += libusb20.3 libusb20_be_remove_dev_quirk.3
MLINKS += libusb20.3 libusb20_be_alloc_default.3
MLINKS += libusb20.3 libusb20_be_device_foreach.3
MLINKS += libusb20.3 libusb20_be_dequeue_device.3
MLINKS += libusb20.3 libusb20_be_enqueue_device.3
MLINKS += libusb20.3 libusb20_be_free.3
MLINKS += libusb20.3 libusb20_me_get_1.3
MLINKS += libusb20.3 libusb20_me_get_2.3
MLINKS += libusb20.3 libusb20_me_encode.3
MLINKS += libusb20.3 libusb20_me_decode.3
MLINKS += libusb20.3 libusb20_desc_foreach.3
MLINKS += libusb20.3 libusb20_strerror.3
MLINKS += libusb20.3 libusb20_error_name.3

=== lib/libusbhid/Makefile ===
#	$NetBSD: Makefile,v 1.5 1999/07/23 09:44:38 mrg Exp $
#	$FreeBSD$

LIB=	usbhid
MAN=	usbhid.3

SHLIB_MAJOR= 4

MLINKS=	usbhid.3 libusbhid.3 usbhid.3 hid_get_report_desc.3 \
	usbhid.3 hid_dispose_report_desc.3 \
	usbhid.3 hid_start_parse.3 usbhid.3 hid_end_parse.3 \
	usbhid.3 hid_get_item.3 usbhid.3 hid_report_size.3 \
	usbhid.3 hid_locate.3 \
	usbhid.3 hid_usage_page.3 usbhid.3 hid_usage_in_page.3 \
	usbhid.3 hid_init.3 \
	usbhid.3 hid_get_data.3 usbhid.3 hid_set_data.3

SRCS=	descr.c descr_compat.c parse.c usage.c data.c

INCS=	usbhid.h

.if defined(COMPAT_32BIT)
CFLAGS+=	-DCOMPAT_32BIT
.endif

.include <bsd.lib.mk>

=== lib/libutil/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/4/93
#	$FreeBSD$

SHLIBDIR?= /lib

.include <bsd.own.mk>

LIB=	util
SHLIB_MAJOR= 9

SRCS=	_secure_path.c expand_number.c flopen.c fparseln.c gr_util.c \
	hexdump.c humanize_number.c kinfo_getfile.c kinfo_getfile.c \
	kinfo_getallproc.c kinfo_getproc.c kinfo_getvmmap.c kld.c \
	login_auth.c login_cap.c \
	login_class.c login_crypt.c login_ok.c login_times.c login_tty.c \
	pidfile.c property.c pty.c pw_util.c quotafile.c realhostname.c \
	stub.c trimdomain.c uucplock.c
INCS=	libutil.h login_cap.h

CFLAGS+= -DLIBC_SCCS

.if ${MK_INET6_SUPPORT} != "no"
CFLAGS+= -DINET6
.endif

CFLAGS+= -I${.CURDIR} -I${.CURDIR}/../libc/gen/

MAN+=	kld.3 login_auth.3 login_tty.3 pty.3 \
	login_cap.3 login_class.3 login_times.3 login_ok.3 \
	_secure_path.3 uucplock.3 property.3 realhostname.3 \
	realhostname_sa.3 trimdomain.3 fparseln.3 humanize_number.3 \
	pidfile.3 flopen.3 expand_number.3 hexdump.3 \
	kinfo_getfile.3 kinfo_getallproc.3 kinfo_getproc.3 \
	kinfo_getvmmap.3 quotafile.3
MAN+=	login.conf.5
MLINKS+= kld.3 kld_isloaded.3 kld.3 kld_load.3
MLINKS+= property.3 properties_read.3  property.3 properties_free.3
MLINKS+= property.3 property_find.3
MLINKS+= pty.3 openpty.3  pty.3 forkpty.3
MLINKS+=login_cap.3 login_getclassbyname.3 login_cap.3 login_close.3 \
	login_cap.3 login_getclass.3 login_cap.3 login_getuserclass.3 \
	login_cap.3 login_getcapstr.3 login_cap.3 login_getcaplist.3 \
	login_cap.3 login_getstyle.3 login_cap.3 login_getcaptime.3 \
	login_cap.3 login_getcapnum.3 login_cap.3 login_getcapsize.3 \
	login_cap.3 login_getcapbool.3 login_cap.3 login_getpath.3 \
	login_cap.3 login_getpwclass.3 login_cap.3 login_setcryptfmt.3
MLINKS+=login_class.3 setusercontext.3 login_class.3 setclasscontext.3 \
	login_class.3 setclassenvironment.3 login_class.3 setclassresources.3
MLINKS+=login_times.3 parse_lt.3 login_times.3 in_ltm.3 \
	login_times.3 in_lt.3 login_times.3 in_ltms.3 \
	login_times.3 in_lts.3
MLINKS+=login_ok.3 auth_ttyok.3 login_ok.3 auth_hostok.3 \
	login_ok.3 auth_timeok.3
MLINKS+=login_auth.3 auth_checknologin.3 login_auth.3 auth_cat.3
MLINKS+=uucplock.3 uu_lock.3 uucplock.3 uu_lock_txfr.3 \
	uucplock.3 uu_unlock.3 uucplock.3 uu_lockerr.3
MLINKS+=pidfile.3 pidfile_open.3 \
	pidfile.3 pidfile_write.3 \
	pidfile.3 pidfile_close.3 \
	pidfile.3 pidfile_remove.3
MLINKS+=quotafile.3 quota_open.3 \
	quotafile.3 quota_fsname.3 \
	quotafile.3 quota_qfname.3 \
	quotafile.3 quota_statfs.3 \
	quotafile.3 quota_read.3 \
	quotafile.3 quota_write_limits.3 \
	quotafile.3 quota_write_usage.3 \
	quotafile.3 quota_close.3

.include <bsd.lib.mk>

=== lib/libalias/libalias/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../sys/netinet/libalias

LIB=	alias
SHLIBDIR?= /lib
SHLIB_MAJOR= 7
MAN=	libalias.3
SRCS=	alias.c alias_db.c alias_proxy.c alias_util.c alias_mod.c
INCS=	alias.h
NO_WERROR=

.include <bsd.lib.mk>

=== lib/libalias/modules/cuseeme/Makefile ===
# $FreeBSD$

NAME=	cuseeme
SRCS=	alias_cuseeme.c

.include <bsd.lib.mk>

=== lib/libalias/modules/ftp/Makefile ===
# $FreeBSD$

NAME=	ftp
SRCS=	alias_ftp.c

.include <bsd.lib.mk>

=== lib/libalias/modules/nbt/Makefile ===
# $FreeBSD$

NAME=	nbt
SRCS=	alias_nbt.c

.include <bsd.lib.mk>

=== debian/changelog ===
freebsd-libs (9.2+ds2-4) unstable; urgency=medium

  * Fix shlibs info in libusb3-udeb. (Closes: #736599)

 -- Robert Millan <rmh@debian.org>  Sat, 25 Jan 2014 22:45:34 +0100

freebsd-libs (9.2+ds2-3) unstable; urgency=low

  * libkvm6_abi_update.diff, libusb3_abi_update.diff: Cherry-pick ABI
    changes from stable/10 branch.
  * Bump SONAME in libkvm and libusb.

 -- Robert Millan <rmh@debian.org>  Mon, 20 Jan 2014 16:34:51 +0100

freebsd-libs (9.2+ds2-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Millan <rmh@debian.org>  Sun, 01 Dec 2013 12:46:21 +0100

freebsd-libs (9.2+ds2-1) experimental; urgency=low

  * Add libutil.

 -- Robert Millan <rmh@debian.org>  Sat, 30 Nov 2013 13:10:29 +0100

freebsd-libs (9.2+ds1-8) unstable; urgency=low

  * Simplify 04_libkvm.diff even further.
  * Remove gratuitous header dependencies.
  * Remove 07_libkiconv.diff (obsolete).

 -- Robert Millan <rmh@debian.org>  Sat, 30 Nov 2013 13:02:31 +0100

freebsd-libs (9.2+ds1-7) unstable; urgency=high

  * Remove unnecessary bits from 04_libkvm.diff and 12_usb.diff.
  * Re-add libbsd_nlist.diff. It is still required when using kvm.h in
    an external package.  (Closes: #729536)

 -- Robert Millan <rmh@debian.org>  Thu, 14 Nov 2013 19:55:53 +0100

freebsd-libs (9.2+ds1-6) unstable; urgency=low

  * Bump freebsd-glue Build-Depends on 0.1.14.

 -- Robert Millan <rmh@debian.org>  Wed, 30 Oct 2013 12:34:38 +0100

freebsd-libs (9.2+ds1-5) unstable; urgency=low

  * Fix libelf/libdwarf buildability on GNU/Linux.

 -- Robert Millan <rmh@debian.org>  Mon, 28 Oct 2013 23:11:54 +0100

freebsd-libs (9.2+ds1-4) unstable; urgency=low

  * Exclude libelf and libdwarf from debian/rules as well...

 -- Robert Millan <rmh@debian.org>  Mon, 28 Oct 2013 01:43:54 +0100

freebsd-libs (9.2+ds1-3) unstable; urgency=low

  * Make libelf and libdwarf kfreebsd-any.

 -- Robert Millan <rmh@debian.org>  Sun, 27 Oct 2013 23:52:33 +0100

freebsd-libs (9.2+ds1-2) unstable; urgency=low

  [ Guillem Jover ]
  * Remove myself from Uploaders.

  [ Robert Millan ]
  * Fix description for libelf packages.

 -- Robert Millan <rmh@debian.org>  Sun, 27 Oct 2013 22:39:49 +0100

freebsd-libs (9.2+ds1-1) experimental; urgency=low

  * Add libelf and libdwarf, this time changing the SONAME to avoid namespace
    collisions.
  * kvm_size_t_kludge.diff: Use <stddef.h> instead of unportably relying
    on private type names.
  * Remove libbsd_nlist.diff (obsolete).

 -- Robert Millan <rmh@debian.org>  Wed, 09 Oct 2013 23:21:11 +0200

freebsd-libs (9.2-1) unstable; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Remove preserve_libkvm_abi.diff and no_kvm_uread_in_freebsd10.diff
      (obsoleted by kvm_uread() re-addition in stable/9).
    - Update symbols in libsbu6, libcam6 and libusb2debian.

  [ Guillem Jover ]
  * Create $(DESTDIR) on install-indep, otherwise dh_install with
    --list-missing is unhappy (arguably a bug in debhelper).

 -- Robert Millan <rmh@debian.org>  Wed, 02 Oct 2013 23:28:58 +0200

freebsd-libs (9.1+ds1-3) unstable; urgency=low

  [ Petr Salinger ]
  * extend cdefs_macros.diff in libusb.h part
  * libusb really needs libbsd

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.
  * Add build-indep and build-arch debian/rules targets:
    - Rename BUILD_TARGETS to BUILD_ARCH_TARGETS.
    - Rename build to build-arch and install to install-arch targets.
    - Add empty build-indep target.
    - Add build target depending on build-indep and build-arch.
    - Split install into install-indep and install-arch targets.
    - Switch binary-indep and binary-arch to depend on install-indep and
      install-arch targets respectively.
  * Now using Standards-Version 3.9.4.
  * Add missing old symbols to libkvm0 and libsbuf6 symbols files.
  * Add missing kvm_dpcpu_setcpu(3) man page to libkvm-dev.

 -- Guillem Jover <guillem@debian.org>  Thu, 25 Jul 2013 17:04:34 +0200

freebsd-libs (9.1+ds1-2) unstable; urgency=low

  * Bump freebsd-glue B-D (for roundup2).

 -- Robert Millan <rmh@debian.org>  Tue, 16 Jul 2013 15:24:27 +0200

freebsd-libs (9.1+ds1-1) experimental; urgency=low

  * Temporarily remove libelf and libdwarf, until namespace issues are
    fixed.

 -- Robert Millan <rmh@debian.org>  Tue, 16 Jul 2013 12:17:26 +0200

freebsd-libs (9.1-1) experimental; urgency=low

  * New upstream release.
    - Sync all patches.
    - Enable __FreeBSD_version when building freebsd-libs sources.
    - preserve_libkvm_abi.diff (and no_kvm_uread_in_freebsd10.diff):
      Backport fix from upstream to preserve 9.0 ABI in libkvm.
    - missing_static_decl.diff: Fix for _libdwarf_errors being exported in
      libdwarf.
    - Acknowledge new symbols in libusbhid4debian, libelf-freebsd-1,
      libusb2debian and libcam6.

 -- Robert Millan <rmh@debian.org>  Thu, 11 Jul 2013 19:55:11 +0200

freebsd-libs (9.0+ds2-1) experimental; urgency=low

  * Add libelf and libdwarf.
  * Remove debian/patches/implicit-declaration (obsoleted by
    freebsd-glue 0.0.5).

 -- Robert Millan <rmh@debian.org>  Wed, 19 Jun 2013 21:49:43 +0200

=== debian/control ===
Source: freebsd-libs
Section: libs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7), pkg-config,
 freebsd-buildutils (>= 9.0-3~),
 libbsd-dev (>= 0.3.0),
 libc0.1-dev (>= 2.13-31) [kfreebsd-any],
 libgdbm-dev [kfreebsd-any],
 kfreebsd-kernel-headers (>= 9.2~5) [kfreebsd-any],
# libexpat-dev: aka bsdxml. needed by libgeom
 libexpat-dev [kfreebsd-any],
# libncurses5-dev: needed by libalias
 libncurses5-dev [kfreebsd-any],
 freebsd-glue (>= 0.0.15~),
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-libs/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-libs/
Standards-Version: 3.9.4

Package: libsbuf6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD string buffer library
 This library provides a way to handle string buffers. It contains
 numerous functions such as append, copy, cat, print, trim whitespace
 characters, etc.

Package: libsbuf6-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD string buffer library (udeb)
 This library provides a way to handle string buffers. It contains
 numerous functions such as append, copy, cat, print, trim whitespace
 characters, etc.
 .
 This is a minimal package for use in debian-installer.

Package: libsbuf-dev
Section: libdevel
Architecture: any
Depends: libsbuf6 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Replaces: kfreebsd-kernel-headers
Description: Development files for libsbuf
 This package contains the header files and static library needed to
 compile applications that use libsbuf.

Package: libdwarf-freebsd-3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to consume and produce DWARF debug information (FreeBSD version)
 The libdwarf package provides a shared library which allows reading/consumer
 and writing/producer of DWARF debugging information from object files, shared
 libraries, and executables.

Package: libdwarf-freebsd-dev
Section: libdevel
Architecture: any
Depends: libdwarf-freebsd-3 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
 libelf-freebsd-dev,
Conflicts: libdwarf-dev
Description: Development files for libdwarf (FreeBSD version)
 This package contains the header files and static library needed to
 compile applications that use libdwarf.

Package: libelf-freebsd-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read and write ELF files
 The libelf package provides a shared library which allows reading and
 writing ELF files on a high level.

Package: libelf-freebsd-dev
Section: libdevel
Architecture: any
Depends: libelf-freebsd-1 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Conflicts: libelf-dev, libelfg0-dev
Description: Development files for libelf (FreeBSD version)
 This package contains the header files and static library needed to
 compile applications that use libelf.

Package: libutil-freebsd-9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD utility library
 Miscellaneous system facilities.

Package: libutil-freebsd-dev
Section: libdevel
Architecture: any
Depends: libutil-freebsd-9 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Replaces: freebsd-glue (>= 0.0.15~)
Description: Development files for libutil-freebsd
 This package contains the header files and static library needed to
 compile applications that use libutil-freebsd.

Package: libcam6
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD CAM (Common Access Method) library
 The CAM (Common Access Method) library provides a way for userland
 SCSI applications to construct a SCSI command.

Package: libcam-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libcam6 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Description: Development files for libcam
 This package contains the header files and static library needed to
 compile applications that use libcam.

Package: libgeom1
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD GEOM library
 This library provides an interface to GEOM, a modular disk I/O request
 transformation framework provided by the kernel of FreeBSD.

Package: libgeom-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libgeom1 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Description: Development files for libgeom
 This package contains the header files and static library needed to
 compile applications that use libgeom.

Package: libgeom1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD GEOM library (udeb)
 This library provides an interface to GEOM, a modular disk I/O request
 transformation framework provided by the kernel of FreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: libusbhid4debian
Architecture: kfreebsd-any
Depends: libusbhid-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD library to access USB HID devices
 USB Human Interface Devices send and receive data layed out in a device
 dependent way. The usbhid library contains routines to extract the report
 descriptor which contains the data layout information and then use this
 information.
 .
 This package contains the header files and static library.

Package: libusbhid-common
Architecture: all
Depends: ${misc:Depends}
Description: Common files for the USB HID devices FreeBSD library
 USB Human Interface Devices send and receive data layed out in a device
 dependent way. The usbhid library contains routines to extract the report
 descriptor which contains the data layout information and then use this
 information.
 .
 This package contains the common files which the library need.

Package: libusbhid-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libusbhid4debian (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Description: Development files for libusbhid
 This package contains the header files and static library needed to
 compile applications that use libusbhid.

Package: libusb3
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD userspace USB programming library
 Library for programming USB applications without the knowledge
 of FreeBSD kernel internals.

Package: libusb2-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libusb3 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Provides: libusb-1.0-0-dev
Conflicts: libusb-dev
Description: Development files for libusb2
 This package contains the header files and static library needed to
 compile applications that use libusb2.
 .
 It should be API compatible with both libusb-1.0 and libusb-0.1
 used on Linux.

Package: libusb3-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development files for libusb2 (udeb)
 Library for programming USB applications without the knowledge
 of FreeBSD kernel internals.
 .
 This is a minimal package for use in debian-installer.

Package: libkvm6
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD kvm (kernel memory interface) library
 The kvm library provides a uniform interface for accessing kernel virtual
 memory images, including live systems and crash dumps.

Package: libkvm-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libkvm6 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev,
 kfreebsd-kernel-headers (>= 0.81),
Description: Development files for libkvm
 This package contains the header files and static library needed to
 compile applications that use libkvm.

Package: libdevstat7
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD devstat (kernel interface) library
 The devstat library provides a uniform interface for accessing kernel devstat
 interface.

Package: libdevstat-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libdevstat7 (= ${binary:Version}), ${misc:Depends}, libkvm-dev, libc0.1-dev | libc-dev,
Description: Development files for libdevstat
 This package contains the header files and static library needed to
 compile applications that use libdevstat.

Package: libmemstat3
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD memstat (kernel interface) library
 The memstat library provides a uniform interface for accessing kernel memstat
 interface.

Package: libmemstat-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libmemstat3 (= ${binary:Version}), ${misc:Depends}, libkvm-dev, libc0.1-dev | libc-dev,
Description: Development files for libmemstat
 This package contains the header files and static library needed to
 compile applications that use libmemstat.

Package: libnetgraph4
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD netgraph (kernel interface) library
 The netgraph library provides a uniform interface for accessing kernel netgraph
 interface.

Package: libnetgraph-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libnetgraph4 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev,
Description: Development files for libnetgraph
 This package contains the header files and static library needed to
 compile applications that use libnetgraph.

Package: libipx2
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD IPX address conversion support library
 The IPX library provides a set of routune to convert IPX addresses.

Package: libipx-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libipx2 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libipx
 This package contains the header files and static library needed to
 compile applications that use libipx.

Package: libipx2-udeb
Section: debian-installer
Package-Type: udeb
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD IPX address conversion support library (udeb)
 The IPX library provides a set of routune to convert IPX addresses.
 .
 This is a minimal package for use in debian-installer.

Package: libkiconv4
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD kernel side iconv library (udeb)
 The kiconv library provides multi-byte character conversion tables for kernel
 side iconv service.

Package: libkiconv-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libkiconv4 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libkiconv
 This package contains the header files and static library needed to
 compile applications that use libkiconv.

Package: libjail1
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD jail library
 The jail library provides support for FreeBSD jails.

Package: libjail-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libjail1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libjail
 This package contains the header files and static library needed to
 compile applications that use libjail.

Package: libalias7
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD packet aliasing library
 The libalias library is a collection of functions for aliasing and
 dealiasing of IP packets, intended for masquerading and network address
 translation (NAT).

Package: libalias-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libalias7 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

SHELL = bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major		:= $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')

CFLAGS = -Wall -g -pipe -fPIC -I. -I$(CURDIR)/sys -D_GNU_SOURCE \
	-D__FreeBSD_version=__FreeBSD_kernel_version \
	 -I/usr/include/freebsd \
	 -Werror=implicit-function-declaration

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

SOURCE = freebsd-libs
SVN		:= http://svn.freebsd.org/base/release/$(version).0
#SVN		:= http://svn.freebsd.org/base/releng/$(version)
#SVN		:= http://svn.freebsd.org/base/stable/$(major)
#SVN		:= http://svn.freebsd.org/base/head
ORIGDIR = $(SOURCE)-$(tar_version)
TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS) -I$(CURDIR)/debian/local/include" NO_WERROR=1 NOGCCERROR=1 \
        NOSHARED=NO NO_SHARED=NO NO_PROFILE=1 DESTDIR=$(DESTDIR) make
kernel = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/share/misc
	mkdir -p $(ORIGDIR)/sys/kern
	mkdir -p $(ORIGDIR)/sys/sys
	for i in lib/libcam lib/libdevstat lib/libgeom lib/libipx \
		lib/libelf \
		lib/libdwarf \
	         lib/libkiconv lib/libnetgraph lib/libjail \
	         lib/libkvm lib/libmemstat lib/libsbuf lib/libusb \
	         lib/libusbhid sys/cam \
		lib/libutil \
		lib/libalias sys/netinet/libalias sys/modules/libalias \
	         sys/kern/subr_sbuf.c \
	         sys/sys/sbuf.h \
	         share/misc/usb_hid_usages ; do \
	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
	done
	# Remove unused files with non GPL compatible license (eg BSD 4 clauses)
	rm -f $(ORIGDIR)/sys/cam/scsi/scsi_ch.*
	rm -f $(ORIGDIR)/lib/libkvm/kvm_ia64.c
	rm -f $(ORIGDIR)/lib/libkvm/kvm_powerpc.c

	# Remove all CAM kernel headers to ensure system-wide version is used instead
	find $(ORIGDIR)/sys/cam -name \*.h | xargs rm -f

	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

BUILD_ARCH_TARGETS = \
	build-sbuf \
	build-dwarf \
	build-elf \
	build-util \
	$(NULL)

ifeq ($(kernel), kfreebsd)
BUILD_ARCH_TARGETS += \
	build-cam \
	build-geom \
	build-ipx \
	build-kiconv \
	build-kvm \
	build-usbhid \
	build-usb \
	build-devstat \
	build-memstat \
	build-netgraph \
	build-jail \
	build-alias
endif

build: build-indep build-arch
build-indep:
build-arch: $(BUILD_ARCH_TARGETS)

build-cam: build-cam-stamp
build-cam-stamp: build-sbuf
	$(PMAKE) -C $(CURDIR)/lib/libcam SHLIBDIR=./
	touch $@

build-geom: build-geom-stamp
build-geom-stamp: build-sbuf
	$(PMAKE) -C $(CURDIR)/lib/libgeom SHLIBDIR=./
	touch $@

build-netgraph: build-netgraph-stamp
build-netgraph-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph SHLIBDIR=./
	touch $@

build-ipx: build-ipx-stamp
build-ipx-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libipx SHLIBDIR=./
	touch $@

build-kiconv: build-kiconv-stamp
build-kiconv-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libkiconv SHLIBDIR=./
	touch $@

build-kvm: build-kvm-stamp
build-kvm-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libkvm SHLIBDIR=./
	touch $@

build-devstat: build-devstat-stamp
build-devstat-stamp: build-kvm
	$(PMAKE) -C $(CURDIR)/lib/libdevstat SHLIBDIR=./
	touch $@

build-elf: build-elf-stamp
build-elf-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libelf SHLIBDIR=./
	touch $@

build-dwarf: build-dwarf-stamp
build-dwarf-stamp: build-elf
	$(PMAKE) -C $(CURDIR)/lib/libdwarf SHLIBDIR=./
	touch $@

build-memstat: build-memstat-stamp
build-memstat-stamp: build-kvm
	$(PMAKE) -C $(CURDIR)/lib/libmemstat SHLIBDIR=./
	touch $@

build-sbuf: build-sbuf-stamp
build-sbuf-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libsbuf SHLIBDIR=./
	touch $@

build-usbhid: build-usbhid-stamp
build-usbhid-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libusbhid SHLIBDIR=./
	touch $@

build-usb: build-usb-stamp
build-usb-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libusb SHLIBDIR=./
	touch $@

build-util: build-util-stamp
build-util-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libutil SHLIBDIR=./
	touch $@

build-jail: build-jail-stamp
build-jail-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libjail SHLIBDIR=./
	touch $@

build-alias: build-alias-stamp
build-alias-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libalias SHLIBDIR=./
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(PMAKE) -C $(CURDIR)/lib/libsbuf clean
	$(PMAKE) -C $(CURDIR)/lib/libdwarf clean
	$(PMAKE) -C $(CURDIR)/lib/libelf clean
	$(PMAKE) -C $(CURDIR)/lib/libutil clean
ifeq ($(kernel), kfreebsd)
	$(PMAKE) -C $(CURDIR)/lib/libcam clean
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph clean
	$(PMAKE) -C $(CURDIR)/lib/libdevstat clean
	$(PMAKE) -C $(CURDIR)/lib/libmemstat clean
	$(PMAKE) -C $(CURDIR)/lib/libgeom clean
	$(PMAKE) -C $(CURDIR)/lib/libipx clean
	$(PMAKE) -C $(CURDIR)/lib/libkiconv clean
	$(PMAKE) -C $(CURDIR)/lib/libkvm clean
	$(PMAKE) -C $(CURDIR)/lib/libusbhid clean
	$(PMAKE) -C $(CURDIR)/lib/libusb clean
	$(PMAKE) -C $(CURDIR)/lib/libjail clean
	$(PMAKE) -C $(CURDIR)/lib/libalias clean
endif
	rm -f *stamp
	dh_clean

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	mkdir -p $(DESTDIR)
	dh_install -i --list-missing

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a

	mkdir -p $(DESTDIR)/lib $(DESTDIR)/usr/lib $(DESTDIR)/usr/include $(DESTDIR)/usr/share/man/man3
	$(PMAKE) -C $(CURDIR)/lib/libsbuf install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libdwarf install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libelf install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libutil install SHLIBDIR=/lib
ifeq ($(kernel), kfreebsd)
	$(PMAKE) -C $(CURDIR)/lib/libcam install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libgeom install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libipx install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libkiconv install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libkvm install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libdevstat install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libmemstat install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libusbhid install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libusb install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libjail install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libalias install SHLIBDIR=/usr/lib

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	install -m644 debian/libusb*.pc $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	install -m755 debian/libusb-config $(CURDIR)/debian/tmp/usr/bin
endif

	dh_install -a --list-missing

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
#	dh_installexamples
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
	dh_makeshlibs -a
ifeq ($(kernel), kfreebsd)
	dh_makeshlibs -plibgeom1 --add-udeb=libgeom1-udeb
	dh_makeshlibs -plibipx2 --add-udeb=libipx2-udeb
	dh_makeshlibs -plibsbuf6 --add-udeb=libsbuf6-udeb
	dh_makeshlibs -plibusb3 --add-udeb=libusb3-udeb
endif
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
